// ---------------------------------------------------------------------------------------------------------------------
//	PhotoChrome v5.xx - Atari ST interlaced image reduction framework
//	1991-2012 Douglas Little (d.m.l)
// ---------------------------------------------------------------------------------------------------------------------
//	special thanks to:
//
//		evil@DHS for noticing faults, making additional suggestions & testing ideas
//		Frank B for encouraging me back into Atari land
//		ppera for feedback and suggestions re: stream conversion for his CATA video project
//		Vincent Riviere's port of GCC 4.x.x for MiNT/TOS
//		various members of Atari-Forum for adding their 2p (you know who you are!)
//		*all* users of PhotoChrome, Apex etc. - past and future
// ---------------------------------------------------------------------------------------------------------------------

#ifndef pcsimage_std_sgl_h_
#define pcsimage_std_sgl_h_

// ====================================================================
// 	generic reduction unit for PCS files
// ====================================================================
//	note: this bit is volatile - to be significantly refactored!
// ====================================================================

// --------------------------------------------------------------------
// object representing a raw true colour source image pulled from a file

#include "pcsimage.h"

class PCSImage_std_sgl : public PCSImage
{
public:

	PCSImage_std_sgl(const char* const _name, int _w, int _h, int _d, int _np, int _ns);

	// --------------------------------------------------------------------
	// public virtual methods (for specialization)
	
};

#endif // pcsimage_std_sgl_h_
